<?php
/**
 * Plugin Name: Baikalsr Shipping
 * Plugin URI: https://www.baikalsr.ru/dev/modules/
 * Description: Baikal Service shipping integration for WooCommerce
 * Version: 1.1
 * Author: DBS
 * Author URI: https://dbs-tech.ru/ 
 * Text Domain: baikalsr-shipping
 * Domain Path: /lang
 * Requires PHP: 7.4
 * Requires at least: 6.0
 * Requires Plugins: woocommerce
 * WC requires at least: 3.0.0
 * WC tested up to: 9.5  
 * License: GPLv3
 **/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if (!class_exists('WC_Baikalsr_Shipping_Addon')) {

	class WC_Baikalsr_Shipping_Addon {
		
		private $version = "1.0.3";
		
		function __construct() {
			$this->define_constants();
			$this->loader();
			new \Baikalsr\Plugin();
		}
		
		function loader() {	
			require_once ('includes/Plugin.php');
			//require_once ('includes/ShippingMethod.php');
			require_once ('includes/Api.php');
			require_once ('includes/Tools.php');
			require_once ('includes/Fields.php');
			require_once ('includes/Cache.php');		
		}
		
		public function define_constants() {
			// Path related defines
			$this->define( 'BS_PLUGIN_FILE', __FILE__ );
			$this->define( 'BS_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
			$this->define( 'BS_PLUGIN_DIR_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
			$this->define( 'BS_PLUGIN_DIR_URL', untrailingslashit( plugins_url( '/', __FILE__ ) ) );
			
			$this->define( 'BS_VERSION', $this->version );
		}
		
		/**
		 * Define constant if not already set.
		 *
		 * @param  string $name
		 * @param  string|bool $value
		 */
		public function define( $name, $value ) {
			if ( ! defined( $name ) ) {
				define( $name, $value );
			}
		}
	}
}
/**
 * Check if WooCommerce is active
 */
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	new WC_Baikalsr_Shipping_Addon();
}
