<?php
namespace {

    defined('ABSPATH') or exit;
}
namespace Baikalsr {
	
	use Baikalsr\Tools;
	
	class Fields
	{
		private Tools $baikalsrTools;
		
		public function __construct ()
		{

		} 
		public function getContragents(): array
		{
			$options = [];
			$response = Tools::getContragents();
			if(isset($response) && !empty($response)){
				foreach ($response as $data){
					if(isset($data["name"]) && !empty($data["name"])
						&&	isset($data["guid"]) && !empty($data["guid"]))
						$options[$data['guid']] = $data['name'];
				}
			}	
			if(empty($options)){
				$options[-1] = esc_html__('No Data', 'baikalsr-shipping');
			}
			return $options;
		}
		public function getOpf(): array
		{
			$options = [];
			$response = Tools::_getPartnerTypes();	
			if(!empty($response)){
				foreach ($response as $data){
					if(isset($data["legalForm"]) && $data["legalForm"] == 1)
						if(isset($data["name"]) && !empty($data["name"])
							&&	isset($data["id"]) && !empty($data["id"]))
						$options[$data['id']] = $data['name'];
				}
			}
			if(empty($options)){
				$options[-1] = esc_html__('No Data', 'baikalsr-shipping');
			}
			return $options;
		}
		public function getDocuments(): array
		{
			$options = [];
			$response = Tools::_getPartnerTypes();	
			if(!empty($response)){
				foreach ($response as $data){
					if(isset($data["legalForm"]) && $data["legalForm"] == 2)
						if(isset($data["name"]) && !empty($data["name"])
							&&	isset($data["id"]) && !empty($data["id"]))
							$options[$data['id']] = $data['name'];
				}
			}
			if(empty($options)){
				$options[-1] = esc_html__('No Data', 'baikalsr-shipping');
			}
			return $options;
		}
		public function getTerminals($guid, $terminal_type = "start"): array
		{
			$options = [];
			$response = Tools::_getAffiliateData($guid);
			if (isset($response["terminals"]) && !empty($response["terminals"])) {
				foreach($response["terminals"] as $data) {
					if (isset($data[$terminal_type]) && $data[$terminal_type]){ 
						if(!isset($data['id']) || empty($data['id']))
							$data['id'] = 0;
						if(isset($data['name']) && !empty($data['name']))
							$options[$data['id']] = $data['name']." (".Tools::htmlspecialcharsBack($data["address"]).")";
					}
				}
			}
			if(empty($options)){
				$options[-1] = esc_html__('No Data', 'baikalsr-shipping');
			}
			return $options;
		}
		public function getPacking(): array
		{
			return array(
				0 => esc_html__('No Packing', 'baikalsr-shipping'),		
				19 => esc_html__('Palletizing', 'baikalsr-shipping'),
				21 => esc_html__('Bubble wrap', 'baikalsr-shipping'),
				22 => esc_html__('Small bag (55x100cm)', 'baikalsr-shipping'),
				23 => esc_html__('Medium bag (100x150cm)', 'baikalsr-shipping'),
				24 => esc_html__('Big bag', 'baikalsr-shipping'),
				2770 => esc_html__('Euro bottom', 'baikalsr-shipping'),
				2797 => esc_html__('Pallet board (individual)', 'baikalsr-shipping'),
				2820 => esc_html__('Seal', 'baikalsr-shipping'),
				3228 => esc_html__('Rigid packaging', 'baikalsr-shipping')
			);
		}
		public function getCargoTypes(): array
		{
			$options = [];
			$response = Tools::_getCargoTypes();			
			if(!empty($response) && !isset($response['error'])){
				foreach ($response as $data){
					if(isset($data['id']) && !empty($data['id']) && isset($data['name']) && !empty($data['name']))
						$options[$data['id']] = $data['name'];
				}
			}
			if(empty($options)){
				$options[-1] = esc_html__('No Data', 'baikalsr-shipping');
			}
			return $options;
		}
	}
}
