<?php
namespace {
	
    defined('ABSPATH') or exit;
	
}
namespace Baikalsr{
	
	use Baikalsr\Cache;

	class Tools extends Api
	{	
			
		public function __construct()
		{
			parent::__construct ();
		}
		
		public static function _getCityByName($city_name)
		{
			if(empty($city_name))
				return [];
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'city-' . self::translit($city_name) );
			$cache = new Cache();
			$result = $cache->get($cache_id);
			if (empty($result)){
				$result = parent::getCityByName($city_name);
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);
			}
			return $result;
		}
		
		public static function _getCityByGuid($city_guid)
		{
			if(empty($city_guid))
				return [];
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'city_guid-' . $city_guid );
			$cache = new Cache();	
			$result = $cache->get($cache_id);
			if (empty($result)){
				$result = parent::getCityByGuid($city_guid);
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);
			}
			return $result;
		}
		
		public static function _getStreetByGuid($street_guid)
		{
			if(empty($street_guid))
				return [];
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'street_guid-' . $street_guid );
			$cache = new Cache();	
			$result = $cache->get($cache_id);
			if (empty($result)){
				$result = parent::getStreetByGuid($street_guid);
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);
			}
			return $result;
		}
		
		public static function _getAffiliateData($city_guid)
		{
			if(empty($city_guid))
				return [];
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'terminals-' . $city_guid );
			$cache = new Cache();	
			$result = $cache->get($cache_id);
			if (empty($result)){
				$result = parent::getAffiliateData($city_guid);
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);
			}
			return $result;
		}
		
		public static function _getAffiliateData2($city_guid)
		{
			if(empty($city_guid))
				return [];
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'terminals2-' . $city_guid );
			$cache = new Cache();	
			$result = $cache->get($cache_id);
			if (empty($result)){
				$result = parent::getAffiliateData2($city_guid);
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);
			}
			return $result;
		}
		
		public static function _getCargoTypes()
		{
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'cargotypes' );
			$cache = new Cache();			
			$result = $cache->get($cache_id);
			if (empty($result)){	
				$result = parent::getCargoTypes();
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);
			}
			return $result;
		}
		
		public static function _getPartnerTypes()
		{
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'partnertypes' );
			$cache = new Cache();			
			$result = $cache->get($cache_id);
			if (empty($result)){
				$result = parent::getPartnerTypes();
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);			
			}
			return $result;
		}
		
		public static function _calculate($preorderData)
		{		
			$cache_id = preg_replace('/\s|\&|\.|\,|\-|\+/', '', 'calc-' . $preorderData['departure_guid'] . $preorderData['departure_from_address'] . $preorderData['destination_guid'] . $preorderData['weight'] . $preorderData['volume'] . $preorderData['estimated_cost'] . $preorderData['packing_id']);
			$cache = new Cache();	
			$result = $cache->get($cache_id);
			if (empty($result)){
				//Всегда считаем доставку по адресу
				$preorderData['destination_to_address'] = true;
				$result = parent::calculate($preorderData);
				if(!empty($result) && !isset($result['error']) && !isset($result['Errors']))
					$cache->store($cache_id, $result);
			}

			return $result;
		}
		
		public static function _getLocationWithGUIDFromAddress($address)
		{	
			$arCity = [];
			if(isset($address['baikalsr_city']) && !empty($address['baikalsr_city'])){
				$arCity = self::_getCityByGuid($address['baikalsr_city']);
			}else if(isset($address['city']) && !empty($address['city'])){
				$city = preg_replace('/\s+/', '+', trim($address['city']));
				$arCity = self::_getCityByName($city);		
			}else if(isset($address['state']) && !empty($address['state'])){
				//$state = self::_getStateOrCountry($address['state']);
				$state = preg_replace('/\s+/', '+', trim($address['state']));
				$arCity = self::_getCityByName($state);	
			}
		
			return $arCity;
		}
		
		public static function _getStateOrCountry($zone_namekey){

			/*$db = \JFactory::getDbo();
			$q = 'SELECT `zone_name` FROM `#__hikashop_zone` WHERE `zone_namekey` = "'.$zone_namekey.'"';
			$db->setQuery ($q);

			if (!($zoneInfo = $db->loadObject())) {
				return $db->getErrorMsg();
			}*/

			return $zoneInfo->zone_name;

		}
		
		public static function _getPreferredTerminal($address_id)
		{
			$db = \JFactory::getDBO();
			$query = 'SELECT * FROM ' . hikashop_table('plg_baikalsr_address') . ' WHERE address_id = ' . $address_id . ' LIMIT 1';
			$db -> setQuery($query);
			return $db->loadObject();
		} 	
		
		public static function htmlspecialcharsBack($html_text)
		{
			return html_entity_decode($html_text);
		}
		
		private static function _unserialize($data) {
			if(!is_string($data))
				return false;
			if(!preg_match_all('#[OC]:[0-9]+:"([-_a-zA-Z0-9]+)":[0-9]+:\{#iU', $data, $matches))
				return unserialize($data);
			if(!empty($matches[1])) {
				foreach($matches[1] as $m) {
					if($m != 'stdClass')
						return false;
				}
			}
			return unserialize($data);
		}
		
		
		public static function intOrFloat($x, bool $negative = false){
			if (!is_int($x)) {
				$x = (float)$x;
			}
			if ($x === 0.0) {
				$x = 0;
			}
			if (!$negative && $x < 0) {
				$x = 0;
			}
			return $x;
		}
		
		public static function groupSchedule($opening_hours){
			$result = array();
			$keys = array();
			$keys[] = 'day';
			$keys[] = 'hours';
			$opening_short = array();
			// first, find similar days and group them together
			if (!empty($opening_hours)) {
				// start with current day
				for ($i=0; $i<7; $i++) {
					$temp = array($i);
					// try to find matching adjacent days
					for ($j=$i+1;$j<7;$j++) {
						if ($opening_hours[$i][$keys[1]] == $opening_hours[$j][$keys[1]] ) {
							// we have a match, store the day
							$temp[] = $j;
							if ($j == 6) $i = 6; // edge case
						}
						else {
							// otherwise, move on to the next day
							$i = $j-1;
							$j = 7; // break
						}
					}
					$opening_short[] = $temp; // $temp will be an array of matching days (possibly only 1 day)
				}
			}
			if (!empty($opening_short)) {
				foreach ($opening_short as $os) {
					if (!empty($opening_hours[$os[0]][$keys[1]])) {
						$day_text = $opening_hours[$os[0]][$keys[0]];
						if (count($os) > 1) { // if there's another, adjacent day with the same time
							$end = array_pop($os); // get the last one
							$end = $opening_hours[$end][$keys[0]];
							$day_text = $day_text . ' - ' . $end; // append the day to the string
						}
						$result[] = array(
							$keys[0] => $day_text, 
							$keys[1] => str_replace(" ", " - ", $opening_hours[$os[0]][$keys[1]])
						);
					}
				}
			}
			return $result;
		}
		
		public static function translit($value)
		{
			$converter = array(
				'а' => 'a',    'б' => 'b',    'в' => 'v',    'г' => 'g',    'д' => 'd',
				'е' => 'e',    'ё' => 'e',    'ж' => 'zh',   'з' => 'z',    'и' => 'i',
				'й' => 'y',    'к' => 'k',    'л' => 'l',    'м' => 'm',    'н' => 'n',
				'о' => 'o',    'п' => 'p',    'р' => 'r',    'с' => 's',    'т' => 't',
				'у' => 'u',    'ф' => 'f',    'х' => 'h',    'ц' => 'c',    'ч' => 'ch',
				'ш' => 'sh',   'щ' => 'sch',  'ь' => '',     'ы' => 'y',    'ъ' => '',
				'э' => 'e',    'ю' => 'yu',   'я' => 'ya',
		 
				'А' => 'A',    'Б' => 'B',    'В' => 'V',    'Г' => 'G',    'Д' => 'D',
				'Е' => 'E',    'Ё' => 'E',    'Ж' => 'Zh',   'З' => 'Z',    'И' => 'I',
				'Й' => 'Y',    'К' => 'K',    'Л' => 'L',    'М' => 'M',    'Н' => 'N',
				'О' => 'O',    'П' => 'P',    'Р' => 'R',    'С' => 'S',    'Т' => 'T',
				'У' => 'U',    'Ф' => 'F',    'Х' => 'H',    'Ц' => 'C',    'Ч' => 'Ch',
				'Ш' => 'Sh',   'Щ' => 'Sch',  'Ь' => '',     'Ы' => 'Y',    'Ъ' => '',
				'Э' => 'E',    'Ю' => 'Yu',   'Я' => 'Ya',
			);
		 
			$value = strtr($value, $converter);
			return $value;
		}
		
		public static function untranslit($textlat = null) {
			$cyr = array(
			'Абакан', 'Агинское', 'Анадырь', 'Архангельск', 'Астрахань', 'Барнаул', 'Белгород', 'Биробиджан', 'blagoveshchensk', 'Брянск', 'Чебоксары', 'Челябинск', 'Черкесск', 
			'Чита', 'Дудинка', 'Элиста', 'Горно-Алтайск', 'Грозный', 'Иркутск', 'Иваново', 'Ижевск', 'Калининград', 'Калуна', 'Краснодар', 'Казань', 'Кемерово', 'Хабаровск', 'Ханты-Мансийск',
			'Кострома', 'Краснодар', 'Красноярск', 'Кудымкар', 'Курган', 'Курск', 'Кызыл', 'Липетск', 'Магадан', 'Махачкала', 'Майкоп', 'Москва', 'Мурманск', 'Нальчик', 'Нарьян-Мар', 
			'Назрань', 'Нижний Новгород', 'Великий Новгород', 'Новосибирск', 'Омск', 'Орёл', 'Оренбург', 'Палана', 'Пенза', 'Пермь', 'Петропавловск-Камчатский', 'Петрозаводск', 'Псков', 
			'Ростов-на-Дону', 'Рязань', 'Салехард', 'Самара', 'Саранск', 'Саратов', 'Смоленск', 'Санкт-Петербург', 'Ставрополь', 'Сыктывкар', 'Тамбов', 'Томск', 'Тула', 'Тура', 'Тверь', 'Тюмень', 
			'Уфа', 'Ульяновск', 'Улан-Удэ', 'Усть-Ордынский', 'Владикавказ', 'Владимир', 'Владивосток', 'Волгоград', 'Вологда', 'Воронеж', 'Киров', 'Якутск', 'Ярославль', 'Екатеринбург', 
			'Йошкар-Ола');
			$lat = array(
			'abakan', 'aginskoye', 'anadyr', 'arkahangelsk', 'astrakhan', 'barnaul', 'belgorod', 'birobidzhan', 'blagoveshchensk', 'bryansk', 'cheboksary', 'chelyabinsk', 'cherkessk', 
			'chita', 'dudinka', 'elista', 'gorno-altaysk', 'groznyy', 'irkutsk', 'ivanovo', 'izhevsk', 'kalinigrad', 'kaluga', 'kasnodar', 'kazan', 'kemerovo', 'khabarovsk', 'khanty-mansiysk',
			'kostroma', 'krasnodar', 'krasnoyarsk', 'kudymkar', 'kurgan', 'kursk', 'kyzyl', 'lipetsk', 'magadan', 'makhachkala', 'maykop', 'moscow', 'murmansk', 'nalchik', 'naryan mar', 
			'nazran', 'nizhniy novgorod', 'novgorod', 'novosibirsk', 'omsk', 'orel', 'orenburg', 'palana', 'penza', 'perm', 'petropavlovsk-kamchatskiy', 'petrozavodsk', 'pskov', 
			'rostov-na-donu', 'ryazan', 'salekhard', 'samara', 'saransk', 'saratov', 'smolensk', 'st. petersburg', 'stavropol', 'syktyvkar', 'tambov', 'tomsk', 'tula', 'tura', 'tver', 'tyumen', 
			'ufa', 'ul\'yanovsk', 'ulan-ude', 'ust\'-ordynskiy', 'vladikavkaz', 'vladimir', 'vladivostok', 'volgograd', 'vologda', 'voronezh', 'vyatka', 'yakutsk', 'yaroslavl', 'yekaterinburg', 
			'yoshkar-ola');
			return str_replace($lat, $cyr, strtolower($textlat));
		}

	}
}