<?php
defined( 'ABSPATH' ) or exit;
?>

<div style="display:none">
	<div id="bs_affiliate_data">
		<?php if ( !empty( $affiliate_name ) ): ?>
			<div class="terminal-city">
				<div class="terminal-city__name">
					<div class="terminal-city__name-text"><?php echo esc_attr( $affiliate_name ); ?></div>
				</div>
				<?php
				if ( ! empty( $terminals )) {
					$avaliable = sizeof($terminals);
				?>
					<div class="terminal-city__status">
						<?php 
						if ( $avaliable == 1) {
							echo esc_html__('Available 1 Terminal', 'baikalsr-shipping'); 
						}elseif ( $avaliable > 1 && $avaliable < 5) {
							echo sprintf(esc_html__('Available %s Terminals', 'baikalsr-shipping'), $avaliable); 
						}else {
							echo esc_html__('Available', 'baikalsr-shipping') . '&nbsp;' . $avaliable . '&nbsp;' . esc_html__('Terminals', 'baikalsr-shipping');
						}
						?>
					</div>
				<?php
				}
				?>
				<div class="clearfix"></div>
			</div>
			<?php if ( !empty($terminals) ): ?>
			<ul class="terminal-points__list">
				<?php
				foreach ( $terminals as $key => $data ) {
					$data['id'] = (!isset($data['id']) || empty($data['id'])) ? 0 : $data['id'];
					$is_selected  = $preferred_terminal_id == $data['id'] ? 'checked="checked"' : '';
				?>
				<li class="terminal-points__item">
					<input id="branch-tab-<?php echo esc_attr( $data['code'] ); ?>" type="radio" class="input-radio" name="bs_terminal" value="<?php echo esc_attr( $data['id'] ); ?>" <?php echo $is_selected; ?>>
					<label for="branch-tab-<?php echo esc_attr( $data['code'] ); ?>"><?php echo esc_html__('Terminal', 'baikalsr-shipping') . '&nbsp;«' . esc_attr( $data['name']) . '»'; ?></label>
					<div class="terminal-points__item-text terminal-points__item-address">
						<?php echo html_entity_decode($data['address']); ?>
					</div>
					<?php if ( isset($data['schedule']) && !empty($data['schedule']) ): ?>
					<div class="terminal-points__item-text terminal-points__item-time">
						<?php
						$schedule = esc_html__('Opened', 'baikalsr-shipping');
						foreach ( $data['schedule'] as $scheduleData ) {
							$schedule .= '&nbsp;' . esc_attr($scheduleData['day']) . '&nbsp;' . esc_attr($scheduleData['hours']) . ','; 
						}
						echo substr($schedule, 0, -1);
						?>
					</div>
					<?php endif; ?>
				</li>
				<?php
				}
				?>
			</ul>
			<?php endif; ?>
		<?php endif; ?>
		<div class="toolbar">
			<button type="button" class="button-primary save-changes"><?php esc_html_e( 'OK', 'woocommerce' ); ?></button>
			<button data-fancybox-close type="button" class="button"><?php esc_html_e( 'Cancel', 'woocommerce' ); ?></button>
		</div>
		
		<div class="clear"></div>

		<?php // taken from fancybox documentation ?>
		<button data-fancybox-close class="fancybox-close-small" title="close"><svg viewBox="0 0 32 32"><path d="M10,10 L22,22 M22,10 L10,22"></path></svg></button>
	</div>
</div>
