<?php
defined( 'ABSPATH' ) or exit;
use Automattic\WooCommerce\Utilities\I18nUtil;	
?>
<?php if(!empty($popup_style)):?>
<div id="popup_shipping_container" style="<?php echo $popup_style; ?>">
<?php endif;?>
	<?php if(!$disabled):?>
		<h2><?php echo esc_html_e('Shipping Request by Order №', 'baikalsr-shipping'). ' ' . $order_id; ?></h2>
	<?php else:?>
		<h2><?php echo esc_html_e('Shipping Request №', 'baikalsr-shipping'). ' ' . $request_id; ?></h2>		
	<?php endif;?>
		<div class="woocommerce-store-alerts is-alert-update">
			<div>
			<?php if(!$disabled):?>
				<?php esc_html_e('By clicking the «Submit application» button, you agree to', 'baikalsr-shipping') ?> <a href="https://www.baikalsr.ru/export/doc/teu/" target="_blank"><?php esc_html_e('Rules of Cargo Shipping and the SES Contract', 'baikalsr-shipping') ?></a> <?php esc_html_e('and you consent to the processing of your personal data in accordance with', 'baikalsr-shipping') ?> <a href="https://www.baikalsr.ru/privacy/" target="_blank"><?php esc_html_e('Privacy Policy', 'baikalsr-shipping') ?></a>.
			<?php else:?>
				<?php esc_html_e('The shipping request has been successfully sent to Baikal Service', 'baikalsr-shipping') ?>. <?php esc_html_e('Tracking Number', 'baikalsr-shipping') ?>: <?php echo esc_attr( $tracking_number ); ?> 
			<?php endif;?>
			</div>
		</div>
		<div id="baikalsr-message-container">
		<?php if (isset($errors) && count($errors) > 0){
			foreach($errors as $error){
				echo '<div class="notice is-dismissible notice-error"><p>' . $error . '</p></div>';
			}
		}elseif (isset($warnings) && count($warnings) > 0){
			foreach($warnings as $key=>$warning){
				echo '<div class="notice is-dismissible notice-warning"><p>' . $warning . '</p></div>';
			}
		}?> 
		</div>
		<input type="hidden" id="params_authKey" value="<?php echo esc_attr( $authKey); ?>"/>
		<input type="hidden" id="params_authKeyTest" value="<?php echo esc_attr( $authKeyTest); ?>"/>	
		<input type="hidden" id="params_test" value="<?php echo esc_attr( $test_mode); ?>"/>	

		<fieldset class="order_data_column" <?php echo ($disabled ? "disabled" : ""); ?> >
			<h3><?php echo esc_html__('Consignor', 'baikalsr-shipping'); ?></h3>
			<p class="form-field form-field-wide">
				<label for="woocommerce_baikalsr_shipping_consignor_contragent_id"><?php esc_html_e('Counterparty', 'baikalsr-shipping') ?></label>
				<select name="params[consignor_contragent_id]" id="woocommerce_baikalsr_shipping_consignor_contragent_id" class="1wc-enhanced-select">
					<?php foreach ($consignor_contragents as $id=>$name):?>
						<option value="<?php echo $id ?>" <?php echo ($id != $consignor_contragent_id ?: 'selected="selected"'); ?>><?php echo $name ?></option>
					<?php endforeach; ?>	
				</select>
			</p>
			<p class="form-field form-field-narrow">
				<label for="woocommerce_baikalsr_shipping_consignor_fio"><?php esc_html_e('Contact person', 'baikalsr-shipping') ?></label>
				<input id="woocommerce_baikalsr_shipping_consignor_fio" name="params[consignor_fio]" type="text" placeholder="<?php esc_html_e('First name, last name', 'baikalsr-shipping') ?>" value="<?php echo esc_attr( $consignor_fio ); ?>">
				<input id="woocommerce_baikalsr_shipping_author_lastname" name="params[author_lastname]" type="hidden" value="<?php echo esc_attr( $author_lastname ); ?>">
				<input id="woocommerce_baikalsr_shipping_author_firstname" name="params[author_firstname]" type="hidden" value="<?php echo esc_attr( $author_firstname ); ?>">
				<input id="woocommerce_baikalsr_shipping_author_middlename" name="params[author_middlename]" type="hidden" value="<?php echo esc_attr( $author_middlename ); ?>">
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_consignor_phone"><?php esc_html_e('Phone', 'baikalsr-shipping') ?></label>
				<input type="tel" name="params[consignor_phone]" value="<?php echo esc_attr( $consignor_phone ); ?>" placeholder="+7(___)___-__-__" id="woocommerce_baikalsr_shipping_consignor_phone" />
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_consignor_email"><?php esc_html_e('Email', 'baikalsr-shipping') ?></label>
				<input type="email" name="params[consignor_email]" value="<?php echo esc_attr( $consignor_email ); ?>" placeholder="<?php esc_html_e('Email', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_consignor_email" />
			</p>
		</fieldset>
		<fieldset class="order_data_column" <?php echo ($disabled ? "disabled" : ""); ?> >
			<h3><?php esc_html_e('Consignee', 'baikalsr-shipping') ?></h3>			
			<p class="form-field form-field-narrow">
				<label for="woocommerce_baikalsr_shipping_consignee_fio"><?php $consignee_physical_person ? esc_html_e('First name, last name', 'baikalsr-shipping') : esc_html_e('Contact person', 'baikalsr-shipping'); ?></label>
				<input type="text" name="params[consignee_fio]" value="<?php echo esc_attr( $consignee_fio ); ?>" placeholder="<?php esc_html_e('First name, last name', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_consignee_fio" />
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_consignee_phone"><?php esc_html_e('Phone', 'baikalsr-shipping') ?></label>
				<input type="tel" name="params[consignee_phone]" value="<?php echo esc_attr( $consignee_phone ); ?>" placeholder="+7(___)___-__-__" id="woocommerce_baikalsr_shipping_consignee_phone" />		
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_consignee_email"><?php esc_html_e('Email', 'baikalsr-shipping') ?></label>
				<input type="email" name="params[consignee_email]" value="<?php echo esc_attr( $consignee_email ); ?>" placeholder="<?php esc_html_e('Email', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_consignee_email" />		
			</p>
			<p id="woocommerce_baikalsr_shipping_consignee_physical_person" class="form-field form-field-wide">
				<label class="radio-inline">
					<input type="radio" name="params[consignee_physical_person]" value="1" <?php echo ($consignee_physical_person ? "checked" : ""); ?> /> <?php esc_html_e('Physical Person', 'baikalsr-shipping') ?>
				</label>
				<label class="radio-inline">
					<input type="radio" name="params[consignee_physical_person]" value="0" <?php echo (!$consignee_physical_person ? "checked" : ""); ?> /> <?php esc_html_e('Legal Person', 'baikalsr-shipping') ?>
				</label>
			</p>
			<p class="form-field form-field-narrow" style="<?php echo ($consignee_physical_person ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_consignee_legal_opf_id"><?php esc_html_e('Legal form', 'baikalsr-shipping') ?></label>
				<select name="params[consignee_legal_opf_id]" id="woocommerce_baikalsr_shipping_consignee_legal_opf_id" class="1wc-enhanced-select">
					<?php foreach ($legal_opf as $id=>$name):?>
						<option value="<?php echo $id ?>" <?php echo ($id != $consignee_legal_opf_id ?: 'selected="selected"'); ?>><?php echo $name ?></option>
					<?php endforeach; ?>			
				</select>
			</p>
			<p class="form-field form-field-narrow" style="<?php echo (!$consignee_physical_person ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_consignee_physical_document_id"><?php esc_html_e('Document', 'baikalsr-shipping') ?></label>
				<select name="params[consignee_physical_document_id]" id="woocommerce_baikalsr_shipping_consignee_physical_document_id" class="1wc-enhanced-select">
					<?php foreach ($physical_documents as $id=>$name):?>
						<option value="<?php echo $id ?>" <?php echo ($id != $consignee_physical_document_id ?: 'selected="selected"'); ?>><?php echo $name ?></option>
					<?php endforeach; ?>		
				</select>
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo ($consignee_physical_person ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_consignee_inn_kpp"><?php esc_html_e('TIN/IC', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[consignee_inn_kpp]" value="<?php echo esc_attr( $consignee_inn_kpp ); ?>" placeholder="<?php esc_html_e('TIN/IC', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_consignee_inn_kpp" class="form-control" />		
				<input type="hidden" name="params[consignee_inn]" value="<?php echo esc_attr( $consignee_inn ); ?>" id="woocommerce_baikalsr_shipping_consignee_inn" />
				<input type="hidden" name="params[consignee_kpp]" value="<?php echo esc_attr( $consignee_kpp ); ?>" id="woocommerce_baikalsr_shipping_consignee_kpp" />
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo (!$consignee_physical_person ? 'display:none;' : ''); ?>">				
				<label for="woocommerce_baikalsr_shipping_consignee_seria_number"><?php esc_html_e('Series/Number', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[consignee_seria_number]" value="<?php echo esc_attr( $consignee_seria_number ); ?>" placeholder="0000 000000" id="woocommerce_baikalsr_shipping_consignee_seria_number" />	
				<input type="hidden" name="params[consignee_seria]" value="<?php echo esc_attr( $consignee_seria ); ?>" id="woocommerce_baikalsr_shipping_consignee_seria" />
				<input type="hidden" name="params[consignee_number]" value="<?php echo esc_attr( $consignee_number ); ?>" id="woocommerce_baikalsr_shipping_consignee_number" />
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo ($consignee_physical_person ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_consignee_company"><?php esc_html_e('Company Name', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[consignee_company]" value="<?php echo esc_attr( $consignee_company ); ?>" placeholder="<?php esc_html_e('Company Name', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_consignee_company" />
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo (!$consignee_physical_person ? 'display:none;' : ''); ?>">				
				<label for="woocommerce_baikalsr_shipping_consignee_no_document"><?php esc_html_e('Identification', 'baikalsr-shipping') ?></label>
				<label style="display: block; padding-top: 5px;">
					<input id="woocommerce_baikalsr_shipping_consignee_no_document" type="checkbox" value="1" name="params[consignee_no_document]" <?php echo ($consignee_no_document ? "checked" : ""); ?> /> <?php esc_html_e('No Document', 'baikalsr-shipping') ?>
				</label>
			</p>
		</fieldset>
		<fieldset class="options-form" <?php echo ($disabled ? "disabled" : ""); ?> >
			<h3><?php esc_html_e('Ship From', 'baikalsr-shipping') ?></h3>
			<p class="form-field form-field-narrow">
				<label for="woocommerce_baikalsr_shipping_departure"><?php esc_html_e('Departure', 'baikalsr-shipping') ?></label>
				<input type="hidden" name="params[departure_guid]" id="woocommerce_baikalsr_shipping_departure_guid" value="<?php echo esc_attr( $departure_guid ); ?>">
				<input type="text" name="params[departure]" data-url="getCities" data-chars="2" data-title="<?php echo esc_attr( $departure ); ?>" value="<?php echo esc_attr( $departure ); ?>" placeholder="<?php esc_html_e('Departure', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_departure" autocomplete="off" />
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_departure_from_address"><?php esc_html_e('Departure type', 'baikalsr-shipping') ?></label>
				<select name="params[departure_from_address]" id="woocommerce_baikalsr_shipping_departure_from_address" class="1wc-enhanced-select">
					<option value="1" <?php echo ($departure_from_address ? 'selected="selected"': ''); ?>><?php esc_html_e('Pickup', 'baikalsr-shipping') ?></option>
					<option value="0" <?php echo (!$departure_from_address ? 'selected="selected"': ''); ?>><?php esc_html_e('Drop-off', 'baikalsr-shipping') ?></option>
				</select>
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_departure_date" ><?php esc_html_e('Departure Date', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[departure_date]" value="<?php echo esc_attr( $departure_date ); ?>" placeholder="YYYY-MM-DD" id="woocommerce_baikalsr_shipping_departure_date" />
			</p>	
			<p class="form-field form-field-wide" style="<?php echo ($departure_from_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_departure_terminal_id"><?php esc_html_e('Terminal', 'baikalsr-shipping') ?></label>
				<select name="params[departure_terminal_id]" id="woocommerce_baikalsr_shipping_departure_terminal_id" class="1wc-enhanced-select" data-url="getTerminals">
					<?php foreach ($departure_terminals as $id=>$name):?>
						<option value="<?php echo $id ?>" <?php echo ($id == $departure_terminal_id?'selected="selected"':''); ?>><?php echo $name ?></option>
					<?php endforeach; ?>
				</select>
			</p>
			<div class="form-field form-field-wide" style="<?php echo (!$departure_from_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_departure_street"><?php esc_html_e('Street', 'baikalsr-shipping') ?></label>
				<div class="dropdown">
					<input type="hidden" name="params[departure_street_guid]" id="woocommerce_baikalsr_shipping_departure_street_guid" value="<?php echo esc_attr( $departure_street_guid ); ?>">
					<input type="text" name="params[departure_street]" data-url="getStreets" data-chars="2" data-title="<?php echo esc_attr( $departure_street ); ?>" value="<?php echo esc_attr( $departure_street ); ?>" placeholder="<?php esc_html_e('Street', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_departure_street"/>
				</div>
			</div>
			<div class="form-field form-field-wide" style="<?php echo (!$departure_from_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_departure_house"><?php esc_html_e('House', 'baikalsr-shipping') ?></label>
				<div class="dropdown">
					<input type="hidden" name="params[departure_house_guid]" id="woocommerce_baikalsr_shipping_departure_house_guid" value="<?php echo esc_attr( $departure_house_guid ); ?>" />
					<input type="text" name="params[departure_house]" data-url="getHouses" data-chars="1" data-title="<?php echo esc_attr( $departure_house ); ?>" value="<?php echo esc_attr( $departure_house ); ?>" placeholder="<?php esc_html_e('House', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_departure_house"/>
				</div>
			</div>
			<p class="form-field form-field-narrow" style="<?php echo (!$departure_from_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_departure_housing"><?php esc_html_e('Housing', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[departure_housing]" value="<?php echo esc_attr( $departure_housing ); ?>" placeholder="<?php esc_html_e('Housing', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_departure_housing"/>									
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo (!$departure_from_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_departure_building"><?php esc_html_e('Building', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[departure_building]" value="<?php echo esc_attr( $departure_building ); ?>" placeholder="<?php esc_html_e('Building', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_departure_building"/>									
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo (!$departure_from_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_departure_apartment"><?php esc_html_e('Apartment', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[departure_apartment]" value="<?php echo esc_attr( $departure_apartment ); ?>" placeholder="<?php esc_html_e('Apartment', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_departure_apartment"/>									
			</p>
			<p class="form-field form-field-wide">
				<label for="woocommerce_baikalsr_shipping_departure_comment"><?php esc_html_e('Comment', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[departure_comment]" value="<?php echo esc_attr( $departure_comment ); ?>" placeholder="<?php esc_html_e('Comment', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_departure_comment" />									
			</p>
		</fieldset>
		<fieldset id="woocommerce_baikalsr_shipping_departure_prr_group" class="options-form" style="<?php echo (!$departure_from_address ? 'display:none;' : ''); ?>" <?php echo ($disabled ? "disabled" : ""); ?> >
			<h3><?php esc_html_e('Departure Loader Services', 'baikalsr-shipping') ?></h3>
			<div class="form-field form-field-wide">
				<div class="checkbox">
					<label>
						<input id="woocommerce_baikalsr_shipping_departure_prr" type="checkbox" value="1" name="params[departure_prr]" <?php echo ($departure_prr ? "checked" : ""); ?> /> <?php esc_html_e('Loader Services is required', 'baikalsr-shipping') ?>
					</label>
				</div>
			</div>
			<div class="form-field form-field-narrow" style="<?php echo (!$departure_prr ? 'display:none;' : ''); ?>">
				<label for="input-departure-floor"><?php esc_html_e('Floor', 'baikalsr-shipping') ?></label>
				<input type="number" class="short" name="params[departure_floor]" value="<?php echo esc_attr( $departure_floor ); ?>" placeholder="1" id="woocommerce_baikalsr_shipping_departure_floor" min="1" step="1"/>									
			</div>
			<div class="form-field form-field-narrow form-field-right" style="<?php echo (!$departure_prr ? 'display:none;' : ''); ?>">
				<div class="checkbox">
					<label for="woocommerce_baikalsr_shipping_departure_lift"><?php esc_html_e('Elevator', 'baikalsr-shipping') ?></label>
					<label style="display: block; padding-top: 5px;">
						<input id="woocommerce_baikalsr_shipping_departure_lift" type="checkbox" value="1" name="params[departure_lift]" <?php echo ($departure_lift ? "checked" : ""); ?> /> <?php esc_html_e('There is an elevator', 'baikalsr-shipping') ?>
					</label>
				</div>
			</div>				
		</fieldset>
		<fieldset class="options-form" <?php echo ($disabled ? "disabled" : ""); ?> >
			<h3><?php esc_html_e('Ship To', 'baikalsr-shipping') ?></h3>
			<p class="form-field form-field-narrow">
				<label for="woocommerce_baikalsr_shipping_destination"><?php esc_html_e('Destination', 'baikalsr-shipping') ?></label>
				<input type="hidden" name="params[destination_guid]" id="woocommerce_baikalsr_shipping_destination_guid" value="<?php echo esc_attr( $destination_guid ); ?>">
				<input type="text" name="params[destination]" data-url="getCities" data-chars="2" data-title="<?php echo esc_attr( $destination ); ?>" value="<?php echo esc_attr( $destination ); ?>" placeholder="<?php esc_html_e('Destination', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_destination" autocomplete="off" />
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_destination_to_address"><?php esc_html_e('Destination type', 'baikalsr-shipping') ?></label>
				<select name="params[destination_to_address]" id="woocommerce_baikalsr_shipping_destination_to_address" class="1wc-enhanced-select">
					<option value="1" <?php echo ($destination_to_address ? 'selected="selected"': ''); ?>><?php esc_html_e('Courier Shipping', 'baikalsr-shipping') ?></option>
					<option value="0" <?php echo (!$destination_to_address ? 'selected="selected"': ''); ?>><?php esc_html_e('Pickup Shipping', 'baikalsr-shipping') ?></option>
				</select>
			</p>
			<p class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_destination_date" ><?php esc_html_e('Arrival Date', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[destination_date]" placeholder="YYYY-MM-DD" value="<?php echo esc_attr( $destination_date ); ?>" placeholder="01-01-2000" id="woocommerce_baikalsr_shipping_destination_date" />
			</p>		
			<p class="form-field form-field-wide" style="<?php echo ($destination_to_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_destination_terminal_id"><?php esc_html_e('Terminal', 'baikalsr-shipping') ?></label>
				<select name="params[destination_terminal_id]" id="woocommerce_baikalsr_shipping_destination_terminal_id" class="1wc-enhanced-select" data-url="getTerminals" tyle="min-width:300px;">
					<?php foreach ($destination_terminals as $id=>$name):?>
						<option value="<?php echo $id ?>" <?php echo ($id == $destination_terminal_id?'selected="selected"':''); ?>><?php echo $name ?></option>
					<?php endforeach; ?>
				</select>
			</p>
			<div class="form-field form-field-wide" style="<?php echo (!$destination_to_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_destination_street"><?php esc_html_e('Street', 'baikalsr-shipping') ?></label>
				<div class="dropdown">
					<input type="hidden" name="params[destination_street_guid]" id="woocommerce_baikalsr_shipping_destination_street_guid" value="<?php echo esc_attr( $destination_street_guid ); ?>">
					<input type="text" name="params[destination_street]" data-url="getStreets" data-chars="2" data-title="<?php echo esc_attr( $destination_street ); ?>" value="<?php echo esc_attr( $destination_street ); ?>" placeholder="<?php esc_html_e('Street', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_destination_street"/>
				</div>
			</div>
			<div class="form-field form-field-wide" style="<?php echo (!$destination_to_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_destination_house"><?php esc_html_e('House', 'baikalsr-shipping') ?></label>
				<div class="dropdown">
					<input type="hidden" name="params[destination_house_guid]" id="woocommerce_baikalsr_shipping_destination_house_guid" value="<?php echo esc_attr( $destination_house_guid ); ?>" />
					<input type="text" name="params[destination_house]" data-url="getHouses" data-chars="1" data-title="<?php echo esc_attr( $destination_house ); ?>" value="<?php echo esc_attr( $destination_house ); ?>" placeholder="<?php esc_html_e('House', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_destination_house"/>
				</div>
			</div>
			<p class="form-field form-field-narrow" style="<?php echo (!$destination_to_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_destination_housing"><?php esc_html_e('Housing', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[destination_housing]" value="<?php echo esc_attr( $destination_housing ); ?>" placeholder="<?php esc_html_e('Housing', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_destination_housing"/>									
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo (!$destination_to_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_destination_building"><?php esc_html_e('Building', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[destination_building]" value="<?php echo esc_attr( $destination_building ); ?>" placeholder="<?php esc_html_e('Building', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_destination_building"/>									
			</p>
			<p class="form-field form-field-narrow form-field-right" style="<?php echo (!$destination_to_address ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_destination_apartment"><?php esc_html_e('Apartment', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[destination_apartment]" value="<?php echo esc_attr( $destination_apartment ); ?>" placeholder="<?php esc_html_e('Apartment', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_destination_apartment"/>									
			</p>
			<p class="form-field form-field-wide">
				<label for="woocommerce_baikalsr_shipping_destination_comment"><?php esc_html_e('Comment', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[destination_comment]" value="<?php echo esc_attr( $destination_comment ); ?>" placeholder="<?php esc_html_e('Comment', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_destination_comment" />									
			</p>
		</fieldset>
		<fieldset id="woocommerce_baikalsr_shipping_destination_prr_group" class="options-form" style="<?php echo (!$destination_to_address ? 'display:none;' : ''); ?>" <?php echo ($disabled ? "disabled" : ""); ?> >
			<h3><?php esc_html_e('Destination Unloader Services', 'baikalsr-shipping') ?></h3>
			<div class="form-field form-field-wide">
				<div class="checkbox">
					<label>
						<input id="woocommerce_baikalsr_shipping_destination_prr" type="checkbox" value="1" name="params[destination_prr]" <?php echo ($destination_prr ? "checked" : ""); ?> /> <?php esc_html_e('Unloader Services is required', 'baikalsr-shipping') ?>
					</label>
				</div>
			</div>
			<div class="form-field form-field-narrow" style="<?php echo (!$destination_prr ? 'display:none;' : ''); ?>">
				<label for="woocommerce_baikalsr_shipping_destination_floor"><?php esc_html_e('Floor', 'baikalsr-shipping') ?></label>
				<input type="number" class="short" style="" name="params[destination_floor]" id="woocommerce_baikalsr_shipping_destination_floor" value="<?php echo esc_attr( $destination_floor ); ?>" placeholder="1" min="1" step="1">
								
			</div>
			<div class="form-field form-field-narrow form-field-right" style="<?php echo (!$destination_prr ? 'display:none;' : ''); ?>">
				<div class="checkbox">
					<label for="woocommerce_baikalsr_shipping_destination_lift"><?php esc_html_e('Elevator', 'baikalsr-shipping') ?></label>
					<label style="display: block; padding-top: 5px;">
						<input id="woocommerce_baikalsr_shipping_destination_lift" type="checkbox" value="1" name="params[destination_lift]" <?php echo ($destination_lift ? "checked" : ""); ?> /> <?php esc_html_e('There is an elevator', 'baikalsr-shipping') ?>
					</label>
				</div>
			</div>				
		</fieldset>
		<fieldset class="options-form" id="cargo_fieldset" <?php echo ($disabled ? "disabled" : ""); ?> >
			<h3><?php esc_html_e('Cargo Iformation', 'baikalsr-shipping') ?></h3>
			<div class="form-field form-field-narrow">
				<label for="woocommerce_baikalsr_shipping_cargotype_id"><?php esc_html_e('Cargo Type', 'baikalsr-shipping') ?></label>
				<select name="params[cargotype_id]" id="woocommerce_baikalsr_shipping_cargotype_id" class="1wc-enhanced-select">
					<?php foreach ($cargo_types as $id=>$name):?>
						<option value="<?php echo $id ?>" <?php echo ($id != $cargotype_id ?: 'selected="selected"'); ?>><?php echo $name ?></option>
					<?php endforeach; ?>
				</select>
			</div>
			<div class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_packing"><?php esc_html_e('Packing', 'baikalsr-shipping') ?></label>
				<select name="params[packing_id]" id="woocommerce_baikalsr_shipping_packing" class="1wc-enhanced-select">
					<?php foreach ($packing as $id=>$name):?>
						<option value="<?php echo $id ?>" <?php echo ($id != $packing_id ?: 'selected="selected"'); ?>><?php echo $name ?></option>
					<?php endforeach; ?>
				</select>
			</div>
			<div class="form-field form-field-narrow">
				<label for="woocommerce_baikalsr_shipping_length"><?php esc_html_e('Length (m)', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[length]" value="<?php echo esc_attr( $length ); ?>" placeholder="<?php esc_html_e('Length', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_length" />				
			</div>
			<div class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_width"><?php esc_html_e('Width (m)', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[width]" value="<?php echo esc_attr( $width ); ?>" placeholder="<?php esc_html_e('Width', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_width" />					
			</div>
			<div class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_height"><?php esc_html_e('Height (m)', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[height]" value="<?php echo esc_attr( $height ); ?>" placeholder="<?php esc_html_e('Height', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_height" />
			</div>
			<div class="form-field form-field-narrow">
				<label for="woocommerce_baikalsr_shipping_volume"><?php esc_html_e('Volume (m3)', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[volume]" value="<?php echo esc_attr( $volume ); ?>" placeholder="<?php esc_html_e('Volume', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_volume" />
			</div>
			<div class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_weight"><?php esc_html_e('Weight (kg)', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[weight]" value="<?php echo esc_attr( $weight ); ?>" placeholder="<?php esc_html_e('Weight', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_weight" />
			</div>
			<div class="form-field form-field-narrow form-field-right">
				<label for="woocommerce_baikalsr_shipping_cost"><?php esc_html_e('Estimated Cost', 'baikalsr-shipping') ?></label>
				<input type="text" name="params[estimated_cost]" value="<?php echo esc_attr( $estimated_cost ); ?>" placeholder="<?php esc_html_e('Cost with VAT', 'baikalsr-shipping') ?>" id="woocommerce_baikalsr_shipping_cost" />
			</div>			
		</fieldset>
		<input type="hidden" name="params[order_id]" value="<?=$order_id;?>"/>
		<div class="calcResult">
			<span class="dashicons dashicons-info-outline" aria-hidden="true"></span><?php esc_html_e('To calculate your shipping costs, you\'ll need to specify your package dimensions, weight, departure, and destination points.', 'baikalsr-shipping') ?>
		</div>
		<div class="toolbar">
			<?php if(!$disabled):?>
			<button type="button" id="woocommerce_baikalsr_shipping_send_request" class="button-primary save-changes"><span class="dashicons dashicons-saved" aria-hidden="true"></span><?php esc_html_e( 'Send Request', 'baikalsr-shipping' ); ?></button>
			<?php endif;?>
			<button data-fancybox-close type="button" class="button"><?php esc_html_e( 'Close', 'baikalsr-shipping' ); ?></button>
		</div>
				
		<div class="clear"></div>

		<?php // taken from fancybox documentation ?>
		<button data-fancybox-close class="fancybox-close-small" title="close"><svg viewBox="0 0 32 32"><path d="M10,10 L22,22 M22,10 L10,22"></path></svg></button>
<?php if(!empty($popup_style)):?>
</div>
<?php endif;?>

